<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Category/UIBarButtonItem+XHXStyle.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_bar_button_item_09_x_h_x_style_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UIBarButtonItem+XHXStyle.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_bar_button_item_09_x_h_x_style_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a0f3c8ca905fe0aa0e4c002bd93341d7d">    1</a></span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  UIBarButtonItem+XHXStyle.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  Pods</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2019/4/2.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_u_i_bar_button_item_09_x_h_x_style_8h.html">UIBarButtonItem+XHXStyle.h</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_u_i_button_09_x_h_x_style_8h.html">UIButton+XHXStyle.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">@implementation </span><a class="code" href="category_u_i_bar_button_item_07_x_h_x_style_08.html">UIBarButtonItem (XHXStyle)</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;+ (instancetype)xhx_whiteBackBarButtonItemWithTarget:(<span class="keywordtype">id</span>)target action:(<span class="keywordtype">SEL</span>)action {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    UIButton *backButton = [UIButton xhx_backButtonWithTarget:target action:action imageName:@&quot;xhx_whiteBack&quot;];</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keywordflow">return</span> [<span class="keyword">self</span> <a class="code" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a7cb422b52cadc6c09adb6b25c6a4b64e">xhx_barItemWithCustomView</a>:backButton];</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;+ (instancetype)xhx_blackBackBarButtonItemWithTarget:(<span class="keywordtype">id</span>)target action:(<span class="keywordtype">SEL</span>)action {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    UIButton *backButton = [UIButton xhx_backButtonWithTarget:target action:action imageName:@&quot;xhx_blackBack&quot;];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordflow">return</span> [<span class="keyword">self</span> xhx_barItemWithCustomView:backButton];</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;+ (instancetype)xhx_greenBackBarButtonItemWithTarget:(<span class="keywordtype">id</span>)target action:(<span class="keywordtype">SEL</span>)action {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    UIButton *backButton = [UIButton xhx_backButtonWithTarget:target action:action imageName:@&quot;xhx_greenBack&quot;];</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordflow">return</span> [<span class="keyword">self</span> xhx_barItemWithCustomView:backButton];</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;+ (instancetype)xhx_barItemWithCustomView:(UIView *)customView {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    CGRect rect = CGRectMake(0, 0, customView.frame.size.width, customView.frame.size.height);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    customView.frame = rect;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    UIView *containerView = [[UIView alloc] initWithFrame:rect];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    [containerView addSubview:customView];</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordflow">return</span> [[UIBarButtonItem alloc] initWithCustomView:containerView];</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="acategory_u_i_bar_button_item_07_x_h_x_style_08_html_a7cb422b52cadc6c09adb6b25c6a4b64e"><div class="ttname"><a href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a7cb422b52cadc6c09adb6b25c6a4b64e">+[UIBarButtonItem(XHXStyle) xhx_barItemWithCustomView:]</a></div><div class="ttdeci">instancetype xhx_barItemWithCustomView:(UIView *customView)</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_bar_button_item_09_x_h_x_style_8m_source.html#l00001">UIBarButtonItem+XHXStyle.m:28</a></div></div>
<div class="ttc" id="a_u_i_bar_button_item_09_x_h_x_style_8h_html"><div class="ttname"><a href="_u_i_bar_button_item_09_x_h_x_style_8h.html">UIBarButtonItem+XHXStyle.h</a></div></div>
<div class="ttc" id="acategory_u_i_bar_button_item_07_x_h_x_style_08_html"><div class="ttname"><a href="category_u_i_bar_button_item_07_x_h_x_style_08.html">UIBarButtonItem(XHXStyle)</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_bar_button_item_09_x_h_x_style_8h_source.html#l00012">UIBarButtonItem+XHXStyle.h:12</a></div></div>
<div class="ttc" id="a_u_i_button_09_x_h_x_style_8h_html"><div class="ttname"><a href="_u_i_button_09_x_h_x_style_8h.html">UIButton+XHXStyle.h</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_b5f9a86406ed001a602a37423628f383.html">Category</a></li><li class="navelem"><a class="el" href="_u_i_bar_button_item_09_x_h_x_style_8m.html">UIBarButtonItem+XHXStyle.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
